1 Reply Latest reply on Oct 31, 2006 1:52 PM by fhh

    JBoss AS & EJB 3.0 Certification

    diet ice Newbie

      Hi folks,

      first of all forgive me if this is a dumb question but i'm a bit confused about who uses what and what is certified. Or - more probably - i can't see the forrest cause of all the trees ;)

      So:

      As far as i understand Hibernate 3.2.0 GA together with Hibernate Annotations and EntityManager 3.2.0 GA is certified for EJB 3.0 persistence.
      Further: 'Hibernate Java Persistence provider is the default persistence provider of the JBoss EJB 3.0 implementation and bundled with the JBoss Application Server.' (Source: http://www.hibernate.org/397.html).

      On the other hand i was told just a minute ago by the JBoss AS 4.0.5 installer that it isn't certified for EJB 3.0 yet, which is also said on http://labs.jboss.org/portal/jbossejb3 ('JBoss EJB3 is not a final implementation and it does not pass the EJB3 Compatibility Test Suite.')

      Although my english could be better this seems to be some contradiction to me :)

      So my question is: why isn't the JBoss AS 4.0.5 certified for EJB 3.0 although it seems to use Hibernate - which seems to be certified for EJB 3.0?

      If it is just because you used an older version of hibernate for the bundling with the AS 4.0.5 i would like to ask you to make it more obvious to see which version comes with it (i.e. by appending the version / milestone of the used jars) because it's a bit confusing for new users - like me :) - and shouldn't be much work.

      Further i would like to ask if there is some ETA for a EJB 3.0 certified version of JBoss AS (i.e. do we have to wait for 4.0.6 or does it come earlier)?

      So thanks a lot for clarifying this.

      PS: I don't want to devalue your work - which i appreciate very much - i'm simply a bit confused by this.

        • 1. Re: JBoss AS & EJB 3.0 Certification
          fhh Expert

           


          As far as i understand Hibernate 3.2.0 GA together with Hibernate Annotations and EntityManager 3.2.0 GA is certified for EJB 3.0 persistence.

          On the other hand i was told just a minute ago by the JBoss AS 4.0.5 installer that it isn't certified for EJB 3.0 yet


          EJB 3.0 is more than Java Persistence. So even if the EJB3 profile is/was JPA compliant there are still other things to do, e.g. Injection into Servlets and complete implementation of deployment descriptors.

          Whether the implemenation is ready for your business depends largely on whether your application uses these features.

          Regards

          fhh